<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            <img src="imgs/image.jpg" id="image">
        </div>
        <script>
            var width = 0;
            var height = 0;
            var interval;
            var image;
            function saveDimensions() {
                width = image.width;
                height = image.height;
            }
            function grow() {
                interval = setInterval("increment()", 300);
            }
            function increment() {
                image.width += 5;
                image.height += 5;
            }
            function reset(){
                clearInterval(interval);
                image.width = width;
                image.height = height;
            }
            function assignEvents(e){
                if (document.readyState === "complete"){
                    image = document.getElementById("image");
                    image.addEventListener("mouseover", grow);
                    image.addEventListener("mouseout",reset);
                }
            }
            document.addEventListener("readystatechange", assignEvents);
            document.defaultView.addEventListener("load", saveDimensions);
        </script>
    </body>
</html>
